Subject: Re: bug#35659: 26.1; Weird horizontal scroll behavior with certain settings for `auto-hscroll-mode' and `hscroll-step`.

From: Clemens Radermacher <[email-masked]>
Date: Fri, 10 May 2019 15:24:00 +0200

> By default, they are scrolled, exactly as they are when
> auto-hscroll-mode is t.

Thank you for looking into it again! I think you haven't looked closely enough:
This is not the behavior you get with auto-hscroll-mode set to t. 

> Then I guess you already have the solution that fits your needs,
> right?

No, because I would like hscroll-step to be set to 1. But doing that
will lead to the described pushing of lines over the screen (which is what you want
if the lines exceed the window width but not if they are shorter than the window-width!)

I would flag it as a bug because it does not happen with 
hscroll-step set to 0 (the default).
  
> If someone wants to write code to cater also to the behavior you want
> to see, I promise to review it.  But I won't myself work on this, as
> this area of the Emacs display is already quite tricky and full of
> subtleties.  Sorry.

If you don't want to touch that code, I as a newbie won't dare to touch it either ;)

        Clemens